aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--bash/bash_logout2
-rw-r--r--bash/bashrc.d/prompt.bash2
2 files changed, 2 insertions, 2 deletions
diff --git a/bash/bash_logout b/bash/bash_logout
index 4436082f..22014963 100644
--- a/bash/bash_logout
+++ b/bash/bash_logout
@@ -1,5 +1,5 @@
# Clear console if possible when logging out
-if [[ "$SHLVL" = 1 ]] && command -v clear_console &>/dev/null; then
+if ((SHLVL == 1)) && command -v clear_console &>/dev/null; then
clear_console -q
fi
diff --git a/bash/bashrc.d/prompt.bash b/bash/bashrc.d/prompt.bash
index 7120deb7..85e21030 100644
--- a/bash/bashrc.d/prompt.bash
+++ b/bash/bashrc.d/prompt.bash
@@ -2,7 +2,7 @@
prompt() {
# Variables for use only within this function
- local -i ret="$?"
+ local -i ret=$?
local color reset branch state info url root
# What's done next depends on the first argument to the function